import { RequireExactlyOne } from "type-fest";
export declare type Coordinate = number | string;
export declare type CoordinatePart = Coordinate | undefined;
export declare type CoorinatesArray = Readonly<[Coordinate, Coordinate]>;
export declare type CoorinatesString = string;
export declare type CoordinateLatitudeKeys = "latitude" | "lat";
export declare type CoordinateLongitudeKeys = "longitude" | "lng" | "lon" | "long";
export declare type CoorinatesObjectLatitude = {
    lat?: Coordinate;
    latitude?: Coordinate;
};
export declare type CoorinatesObjectLongitude = {
    lng?: Coordinate;
    lon?: Coordinate;
    long?: Coordinate;
    longitude?: Coordinate;
};
export declare type CoorinatesObject = RequireExactlyOne<CoorinatesObjectLatitude> & RequireExactlyOne<CoorinatesObjectLongitude> & {
    [key: string]: unknown;
};
